//	Nodeedit for Moment of inspiration 0.93, Max Smirnov Copyright (C) 2017
//  Initialization lib

function updateWindowSize()
{
	editor.graphcanvas.resize(document.body.clientWidth, document.body.clientHeight-document.body.querySelector(".header").clientHeight-2.0);
}

function loadDefaultNodes()
{
	var node_output = LiteGraph.createNode("Basic/Output");
	node_output.pos = [800,100];
	graph.add(node_output);
}

function close()
{
	moi.command.setOption('nodeEditorData', JSON.stringify(graph.serialize()), false);
	graph.sendEventToAllNodes("onClear");
}

lang.detect();
LiteGraph.node_images_path = "nodes/imgs/";
var editor = new LiteGraph.Editor("main");
window.graph = editor.graph;
window.addEventListener("resize", updateWindowSize);
window.addEventListener("mousewheel", function() { this.scrollBy(0,-10) }, false);
var nodeEditorData="{}", loadDefaults = false;
try { nodeEditorData =  moi.command.getOption('nodeEditorData', false); } catch (e) { loadDefaults = true }
if (loadDefaults) { loadDefaultNodes() } else { graph.configure( JSON.parse(nodeEditorData), false) }
updateWindowSize();
document.body.onunload=close;